## apt 0.9.7.7ubuntu2

=== debian/changelog ===
apt (0.9.7.7ubuntu2) raring; urgency=low

  * Cherry-pick from David's sid branch to fix a multiarch library
    installation problem:

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - prefer to install packages which have an already installed M-A:same
      sibling while choosing providers (LP: #1130419)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2013 17:55:03 -0800
