## apt 0.9.7.7ubuntu4

=== debian/changelog ===
apt (0.9.7.7ubuntu4) raring; urgency=low

  [ Michael Vogt ]
  * test/integration/test-bug-1078697-missing-source-hashes:
    - add test for deb-src hash generation
  
  [ Marc Deslauriers ]
  * make apt-ftparchive generate missing deb-src hashes (LP: #1078697)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Apr 2013 14:52:15 +0200

apt (0.9.7.7ubuntu3) raring; urgency=low

  * SECURITY UPDATE: InRelease verification bypass
    - CVE-2013-1051

  [ David Kalnischk ]
  * apt-pkg/deb/debmetaindex.cc,
    test/integration/test-bug-595691-empty-and-broken-archive-files,
    test/integration/test-releasefile-verification:
    - disable InRelease downloading until the verification issue is
      fixed, thanks to Ansgar Burchardt for finding the flaw

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Mar 2013 14:25:56 +0100
