## apt 0.9.7.7ubuntu6

=== debian/changelog ===
apt (0.9.7.7ubuntu6) raring; urgency=low

  * Fix apt-ftparchive's generation of SHA512 checksums for Sources,
    previously incorrectly generated as SHA256 (LP: #1234705).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Oct 2013 14:22:35 +0100

apt (0.9.7.7ubuntu5) raring; urgency=low

  * Fix unhandled If-Modified-Since case that causes apt lists corruption.
    LP: #1179781

 -- Dave Chiluk <chiluk@canonical.com>  Wed, 21 Aug 2013 13:12:14 -0500
