=== debian/control ===
--- 
+++ 
@@ -120,7 +120,7 @@
 
 Package: apt-transport-https
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3-gnutls (>= 7.29.0-1ubuntu3.2)
 Priority: optional
 Description: https download transport for APT
  This package enables the usage of 'deb https://foo distro main' lines
