## apt 0.9.7.9

=== debian/changelog ===
apt (0.9.7.9) stable; urgency=low

  [ Ludovico Cavedon ]
  * properly handle if-modfied-since with libcurl/https 
    (closes: #705648)
  
  [ Andreas Beckman ]
  * apt-pkg/algorithms.cc:
    - Do not propagate negative scores from rdepends. Propagating the absolute
      value of a negative score may boost obsolete packages and keep them
      installed instead of installing their successors.  (Closes: #699759)
  
 -- Michael Vogt <mvo@debian.org>  Tue, 04 Jun 2013 11:24:15 +0200

apt (0.9.7.8) unstable; urgency=criticial

  * SECURITY UPDATE: InRelease verification bypass
    - CVE-2013-1051
  
  [ David Kalnischk ]
  * apt-pkg/deb/debmetaindex.cc,
    test/integration/test-bug-595691-empty-and-broken-archive-files,
    test/integration/test-releasefile-verification:
    - disable InRelease downloading until the verification issue is
      fixed, thanks to Ansgar Burchardt for finding the flaw

 -- Michael Vogt <mvo@debian.org>  Thu, 14 Mar 2013 07:47:36 +0100
