## apt 0.9.7.9+deb7u1

=== debian/changelog ===
apt (0.9.7.9+deb7u1) wheezy; urgency=low

  * Non-maintainer upload.
  * Apply patch for large .debs (Closes: #725483)
    Thanks Mark Hymers for the patch, Vincent Sanders for
    the review
  * Apply patch for strict multi-arch checking in single-architecture
    environments (Closes: #723586)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 16 Nov 2013 11:14:39 +0000
