## apt 0.9.7.9+deb7u2

=== debian/changelog ===
apt (0.9.7.9+deb7u2) wheezy-security; urgency=high

  * SECURITY UPDATE: apt-get source validation (closes: #749795)
    - CVE-2014-0478

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Jun 2014 12:47:25 +0200
