## apt 0.9.7.9+deb7u6

=== debian/changelog ===
apt (0.9.7.9+deb7u6) wheezy-security; urgency=high

  * SECURITY UPDATE:
    - cmdline/apt-get.cc: fix insecure tempfile handling in
      apt-get changelog (CVE-2014-7206). Thanks to Guillem Jover

 -- Michael Vogt <mvo@debian.org>  Wed, 08 Oct 2014 10:11:55 +0200

apt (0.9.7.9+deb7u5) wheezy-security; urgency=high

  * SECURITY UPDATE:
    - methods/http.cc: fix potential buffer overflow, thanks to the
      Google Security Team (CVE-2014-6273)
  * fix regression when Dir::state::lists is set to a relative
    path (closes: 762160)
  * fix regression when cdrom: sources got rewriten by apt-cdrom
    add

 -- Michael Vogt <mvo@debian.org>  Tue, 23 Sep 2014 08:56:27 +0200

apt (0.9.7.9+deb7u4) wheezy-security; urgency=high

  * Fix regression in 0.9.7.9+deb7u3 when file:/// sources
    are used and those are on a different partition than
    the apt state directory (closes: 762079)

 -- Michael Vogt <mvo@debian.org>  Thu, 18 Sep 2014 11:31:53 +0200

apt (0.9.7.9+deb7u3) wheezy-security; urgency=high

  * SECURITY UPDATE:
    - incorrect invalidating of unauthenticated data (CVE-2014-0488)
    - incorect verification of 304 reply (CVE-2014-0487)
    - incorrect verification of Acquire::Gzip indexes (CVE-2014-0489)
    - incorrect apt-get download validation (CVE-2014-0490)

 -- Michael Vogt <mvo@debian.org>  Mon, 15 Sep 2014 09:24:15 +0200
