=== debian/changelog ===
apt (0.9.7.9+deb7u7) stable; urgency=medium

  [ David Kalnischkies ]
  * methods/http.cc:
    - retry without partial data after a 416 response (closes: 710924)
  
  [ Michael Vogt ]
  * debian/rules:
    - add missing dh_clean

 -- Michael Vogt <mvo@debian.org>  Fri, 17 Oct 2014 09:03:58 +0200
