=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
  Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
  Julian Andres Klode <jak@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 8.1.3~), libdb-dev,
- gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0),
+ gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.4~),
  zlib1g-dev, libbz2-dev, xsltproc, docbook-xsl, docbook-xml,
  po4a (>= 0.34-2), autotools-dev, autoconf, automake
 Build-Depends-Indep: doxygen, debiandoc-sgml
 Build-Conflicts: autoconf2.13, automake1.4
-Vcs-Bzr: lp:~ubuntu-core-dev/apt/ubuntu
-Vcs-Browser: http://code.launchpad.net/apt/ubuntu
+Vcs-Bzr: http://bzr.debian.org/apt/debian-wheezy/
+Vcs-Browser: http://bzr.debian.org/loggerhead/apt/debian-wheezy/
 
 Package: apt
 Architecture: any
-Depends: ubuntu-keyring, ${shlibs:Depends}, ${misc:Depends}, gnupg
+Depends: ${shlibs:Depends}, ${misc:Depends}, debian-archive-keyring, gnupg
 Replaces: manpages-pl (<< 20060617-3~)
 Conflicts: python-apt (<< 0.7.93.2~)
 Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, xz-utils, python-apt
@@ -120,7 +119,7 @@
 
 Package: apt-transport-https
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3-gnutls (>= 7.29.0-1ubuntu3.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Priority: optional
 Description: https download transport for APT
  This package enables the usage of 'deb https://foo distro main' lines
