=== debian/rules ===
--- 
+++ 
@@ -110,6 +110,7 @@
 
 clean:
 	dh_testdir
+	dh_clean
 
 	[ ! -f Makefile ] || $(MAKE) clean distclean
 	rm -rf build
