## apt 0.9.7.9+deb7u9

=== debian/changelog ===
apt (0.9.7.9+deb7u9) wheezy-security; urgency=high

  * CVE-2020-3810: out-of-bounds read in .ar/.tar implementations

 -- Sylvain Beucler <beuc@debian.org>  Thu, 14 May 2020 22:19:32 +0200

apt (0.9.7.9+deb7u8) wheezy-security; urgency=high

  * CVE-2019-3462: Fix a content injection vulnerability that could be
    exploited to inject arbitrary .deb or other files into a signed
    repository via injected redirect headers.

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Jan 2019 20:51:26 +0000
