## apt 0.9.9.1~ubuntu3.2

=== debian/changelog ===
apt (0.9.9.1~ubuntu3.2) saucy-security; urgency=low

  * SECURITY UPDATE: incorrect apt-get source validation (LP: #1329274)
    - warn if not authenticated in cmdline/apt-get.cc, added regression
      test to test/integration/test-apt-get-source-authenticated,
      test/integration/framework.
    - CVE-2014-0478

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Jun 2014 14:02:26 +0200

apt (0.9.9.1~ubuntu3.1) saucy-proposed; urgency=low

  * cherry pick upstream commit 0caa5a4c to fix multiarch upgrade
    bug LP: #1286161

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 03 Apr 2014 12:49:08 +0200
