## apt 0.9.9.1~ubuntu3.3

=== debian/changelog ===
apt (0.9.9.1~ubuntu3.3) saucy-proposed; urgency=low

  * apt-pkg/packagemanager.cc:
    - fix incorrect configure ordering in the SmartConfigure step
      by skiping packages that do not need immediate action
      (LP: #1347721)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Jul 2014 21:37:01 +0200
