## apt 0.9.14.2tanglu4

=== debian/changelog ===
apt (0.9.14.2tanglu4) staging; urgency=medium

  * Regenerate cmdline/apt-key from cmdline/apt-key.in

 -- Jon Severinsson <jon@severinsson.net>  Tue, 18 Feb 2014 16:00:00 +0100

apt (0.9.14.2tanglu3) staging; urgency=medium

  * Do not enable deb-src sources.list entries by default.

 -- Jon Severinsson <jon@severinsson.net>  Sun, 16 Feb 2014 16:00:00 +0100

apt (0.9.14.2tanglu2) staging; urgency=medium

  * Do not use parallell make in vendor/makefile, it's broken.

 -- Jon Severinsson <jon@severinsson.net>  Thu, 13 Feb 2014 22:30:00 +0100

apt (0.9.14.2tanglu1) aequorea; urgency=medium

  * Add support for Tanglu.

 -- Jon Severinsson <jon@severinsson.net>  Thu, 13 Feb 2014 21:00:00 +0100

apt (0.9.14.2) unstable; urgency=low

  [ Joe Hansen ]
  * Danish translation update. Closes: #732166
  
  [ Peter Green ]
  * add apt-vendor for raspbian. Closes: #732749

  [ Thomas Bechtold ]
  * apt-pkg/contrib/gpgv.cc: use /tmp as fallback dir if the
    directory from $TMPDIR  is not available (closes: #728500)
  
  [ Michael Vogt ]
  * vendor/getinfo:
    - fix ubuntu-codename
  * vendor/steamos/*:
    - add steamos support
  * bugfix/bts731738-fancy-progess:
    - fix terminal size issues with e.g. "less" when "APT::Progress-Fancy=1"
      is used (closes: #731738)
  * feature/policy-parser-bts732746:
    - allow more flexibility in /etc/apt/preferences, e.g. comment only
      sections (closes: #732746)
  * move TMPDIR handling into GetTempDir() and use that instead of
    getenv("TMPDIR")
  * update apt-key net-update and add integration test with the buildin
    apt webserver
  * run autopkgtest against the installed apt

 -- Michael Vogt <mvo@debian.org>  Sun, 29 Dec 2013 16:41:16 +0100

apt (0.9.14.1) unstable; urgency=medium

  * fix apt-get source -t dist regression (closes: #731853)
    and add testcase
  * clarify error message when apt-get source=ver fails
    (thans to David Kalnischkies)
  * Fix conffile prompt regression (LP: #1260297)
    and add testcase
  * improve error message for apt-get source pkg:arch{=ver,/release}

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Dec 2013 18:34:29 +0100

apt (0.9.14) unstable; urgency=low

  [ David Kalnischkies ]
  * merge ubuntus apport reporting changes to reduce diff
  * enable NOISE for build logs to enable analyse
  * introduce a vendor system to change sources.list
  * add a vendor specific file to have configurable entities
  * use a substvar to set the archive-keyring in debian/control
  * cherry-pick ubuntus (disabled) net-update fixes
  * generate apt-key script with vendor info about keys
  * drop old /var/state to /var/lib transition artefacts

  [ Steve Langasek ]
  * prepare-release: declare the packages needed as source build deps.

  [ Michael Vogt ]
  * enable release based selection for deb-src (closes: 731102)
  * document Dpkg::Progress-Fancy (closes: 726169), thanks to James McCoy
  * vendor/makefile: fix build error for parallel builds
  * Handle SIGWINCH in APT::Progress-Fancy=1

 -- Michael Vogt <mvo@debian.org>  Sat, 07 Dec 2013 14:54:31 +0100

apt (0.9.13.1) unstable; urgency=low

  [ Colin Watson ]
  * fix "apt-get  --purge build-dep" (closes: #720597)
  * fix regression that APT::Keep-Fds is not honored (closes: #730490)
  
  [ Michael Vogt ]
  * add "-f" option to "build-dep" as sbuild is using it to fix 
    regression with cross-building (LP: #1255806)
  * add autopkgtest support for the integration testsuite
  * merge mvo/feature/short-list
  * merge mvo/feature/edit-sources
  * fix segfault in pkgDepCache::SetCandidateRelease() (closes: #709560)
  * reset terminal on error (closes: #730795)
  * fix apport report writing (LP: #1254499)

 -- Michael Vogt <mvo@debian.org>  Fri, 29 Nov 2013 20:50:17 +0100

apt (0.9.13) unstable; urgency=low

  [ TJ Guthrie ]
  * Changed MinAgeSec to MinAge in /etc/cron.daily/apt:200,204 
    LP: #1206047

 -- Michael Vogt <mvo@debian.org>  Sun, 24 Nov 2013 10:56:22 +0100

apt (0.9.13~exp1) experimental; urgency=low

  * Improve the API for APT::Upgrade::Upgrade()
  * Re-add "Calculating upgrade..." message
  * move upgrade releated code into upgrade.{cc,h}
  * Move ListUpdate/AquireUpdate into update.{cc,h}
  * Add new apt-pkg/install-progress.h with APT::Progress::PackageManager
    progress reporting classes
  * Move the status-fd progress reporting out of the pkgDPkgPM class
    and into PackageManagerProgressFd
  * Fix reading dpkg --status-fd on reinstalls
  * Add new APT::Status-deb822-Fd progress output
  * add Acquire::http::Proxy-Auto-Detect to the apt.conf.5 manpage
    (closes: 726597)
  * Fix detection when multiarch packages are reported by dpkg as
    disappeared Packages
  * test/integration/run-tests: output the failed test names
  * Code Cleanup in pkgDPkgPM
  * prepare next ABI via #if (APT_PKG_MAJOR >= 4 && APT_PKG_MINOR >= 13)
  * add new pid_t ExecFork(std::set<int> KeepFDs)
  * Avoid flickering when "apt-get -o DpkgPM::Progress-Fancy=1" is use
  * use sysconf(_SC_OPEN_MAX) in ExecFork()

 -- Michael Vogt <mvo@debian.org>  Fri, 01 Nov 2013 10:03:06 +0100

apt (0.9.12.1) unstable; urgency=low

  [ Michael Vogt ]
  * do not send pkgname:arch over the APT::Status-Fd to not break
    clients (closes: 726156). A new APT::Status-deb822-Fd will be
    used to fix this.
  * add integration tests for APT::Status-Fd
  * add missing _() around the new "Progress" string

  [ David Kalnischkies ]
  * fix progress-segfault in case of dpkg errors/prompts (Closes: 726047)

 -- Michael Vogt <mvo@debian.org>  Tue, 15 Oct 2013 18:25:51 +0200

apt (0.9.12) unstable; urgency=low

  [ Christian Perrier ]
  * Fix typo in apt-private/private-show.cc. Thanks to Benjamin
    Keresa. Closes: #724073
  
  [ Mark Hymers ]
  * fix libapt-inst for >2G debs (closes: #725483)

  [ David Kalnischkies ]
  * don't strip :any from dependencies in single-arch (Closes: 723586)
  * pkg from only trusted sources keeps being trusted (Closes: 617690)

